## RBPlayQueueSource RBPlayQueueSource — source object for the play queue |

## Functions

RBSource * | rb_play_queue_source_new ()
void | rb_play_queue_source_clear_queue ()

## Properties

RBEntryView * | sidebar | Read

## Types and Values

struct | RBPlayQueueSource
struct | RBPlayQueueSourceClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── RBDisplayPage
                            ╰── RBSource
                                ╰── RBPlaylistSource
                                    ╰── RBStaticPlaylistSource
                                        ╰── RBPlayQueueSource

## Implemented Interfaces

RBPlayQueueSource implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

The main interesting thing about this source is that is contains a second RBEntryView to be displayed in the side pane (beneath the source list). This entry view displays the track title, artist, and album in a single column, split across three lines so the information mostly fits in the usual horizontal space allowed for the side bar.

## Functions

### rb_play_queue_source_new ()

    RBSource *
    rb_play_queue_source_new (RBShell *shell);

Creates the play queue source object.

#### Parameters

shell | the RBShell instance |

#### Returns

the play queue source

### rb_play_queue_source_clear_queue ()

    void
    rb_play_queue_source_clear_queue (RBPlayQueueSource *source);

Clears the play queue.

#### Parameters

source | the RBPlayQueueSource |

## Types and Values

### struct RBPlayQueueSource

    struct RBPlayQueueSource;

### struct RBPlayQueueSourceClass

    struct RBPlayQueueSourceClass {
    	RBStaticPlaylistSourceClass parent;
    };

## Property Details

### The `“sidebar”` property

      “sidebar”                  RBEntryView *

The RBEntryView for the play queue side pane.

Flags: Read